FaQ/urls.py
from django.urls import path
from .views import index1, addQuestion, filter_search, data
from . import views
from django.conf.urls.static import static
app_name = "FaQ"

urlpatterns = [
    path('FaQ/', views.addQuestion, name='index2'),
    path('tanyajawab/', views.index1, name='index1'),
    path('filter_serach/', views.filter_search, name='index3'),
    path('data/', views.data, name='data'),
]

SuratPemerintah/urls.py
from django.contrib import admin
from django.urls import path
from django.conf import settings
from django.conf.urls.static import static

from . import views

app_name = 'SuratPemerintah'

urlpatterns = [
    path('upload/',views.upload, name="upload"),
    path('',views.list_pdf, name="list_pdf"),
    path('<int:idpdf>/',views.showpdf, name="showpdf"),
    path('data/', views.searchbook, name='searchbook'),
    # path('perpu/',views.perpu, name="perpu"),

]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

TK2/urls.py
from django.contrib import admin
from django.urls import path,include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('home.urls')),
]

home/urls.py
from django.urls import path

from . import views

app_name = 'home'

urlpatterns = [
    path('', views.index, name='index'),
    path('edit-form-angka-corona', views.formAngkaCorona),
    path('login/', views.loginpage, name='loginpage'),
    path('logout/', views.logoutpage, name='logoutpage'),
    path('register/', views.register, name='register'),
    path('index/', views.index)
]

poll/urls.py
from os import name
from django.urls import path
from . import views

app_name = 'poll'

urlpatterns = [
    path('',views.poll, name='poll'),
    path('vote/<poll_id>/', views.vote, name='vote'),
    path('hasil/<poll_id>/', views.hasil, name='hasil'),
    path('membuatPoll/', views.buatpoll, name='buatpoll'),
    path('resultsdata/<obj>/', views.resultsData, name="resultsdata")
]

tugaskelompok1/urls.py
from django.contrib import admin

from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('home.urls')),
    path('SuratPemerintah/', include('SuratPemerintah.urls')),
    path('blogpost/', include('blogpost.urls')),
    path('poll/', include('poll.urls')),
    path('tanya/',include('FaQ.urls')),
    path('apa-itu-corona/', include('apa_itu_corona.urls')),
]

home/models.py
from django.db import models

# Create your models here.
class AngkaCorona(models.Model):
    terkonfirmasi = models.CharField('Terkonfirmasi', max_length=10)
    perubahan = models.CharField('Perubahan', max_length=10)
    kasusAktif = models.CharField('Kasus Aktif',max_length=10)
    persenAktif = models.CharField('Persen Aktif',max_length=10)
    sembuh = models.CharField('Sembuh', max_length=10)
    persenSembuh = models.CharField('Persen Sembuh', max_length=10)
    meninggal = models.CharField('Meninggal', max_length=10)
    persenMeninggal = models.CharField('Persen Meninggal', max_length=10)
    tanggal = models.CharField('Tanggal', max_length=20)

home/forms.py
from django.forms import ModelForm
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from .models import AngkaCorona

class FormAngkaCorona(ModelForm):
    def __init__ (self, *args, **kwargs) :
        super().__init__(*args, **kwargs)
        for _, value in self.fields.items():
            value.widget.attrs['placeholder'] = value.help_text
    
    class Meta:
        model = AngkaCorona
        fields = '__all__'

class CreateUserForm(UserCreationForm):
    class Meta:
        model = User
        fields= ['username', 'email', 'password1', 'password2']

home/views.py
from django.shortcuts import render, redirect
from .models import AngkaCorona
from .forms import FormAngkaCorona
from django.contrib.auth.forms import UserCreationForm
from .forms import CreateUserForm
from django.contrib.auth import authenticate, login, logout
# Create your views here.

def index(request):
    dataAngka = AngkaCorona.objects.all()
    return render(request, 'home/index.html', {"dataAngka":dataAngka})

def formAngkaCorona(request):
    form = FormAngkaCorona(request.POST or None)
    if form.is_valid() and request.method == "POST" :
        form.save()
        return redirect('/')
    else :
        return render(request, 'formAngka.html', {'form':form})

def loginpage(request):
    if request.method == "POST":
        username = request.POST['username']
        password = request.POST['password']

        user = authenticate(request, username=username, password=password)

        if user is not None:
            login(request, user)
            return redirect('/')

    return render(request,'home/login.html')

def logoutpage(request) :
    logout(request)
    return redirect('/')

def register(request):
    form = CreateUserForm()
    if request.method == "POST":
        form = CreateUserForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect('/login')
    context = {'form' : form}
    return render(request,'home/register.html', context)

home/templates/base.html
<!doctype html>
<html lang="en">
    {% load static %}
  <head>
    
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link href="https://unpkg.com/ionicons@4.5.10-0/dist/css/ionicons.min.css" rel="stylesheet">
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    
    <style>
      .nav-item{
        padding-right: 30px;
        font-weight: bolder;
      }

      .nav-link{
        color: white;
      }

      #navbarDropdownMenuLink{
        color: white;
      }
    </style>
    {% block tambahStyle %}

    {% endblock tambahStyle %}
  </head>
  <header>
    <nav class="navbar navbar-expand-lg navbar-dark " style="background-color: #2B1A0B;">
        <a class="navbar-brand" href="#"><img src="{% static 'inforona.png' %}" style="width: 150px;"></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item active">
              <a class="nav-link" href="/">Home </a>
            </li>
            <li class="nav-item active">
              <a class="nav-link" href="{% url 'apaItuCorona' %}">Covid-19?</a>
            </li>
            <li class="nav-item active">
              <a class="nav-link" href="{% url 'SuratPemerintah:list_pdf' %}">Informasi</a>
            </li>
            <li class="nav-item active">
              <a class="nav-link" href="{% url 'poll:poll' %}">CovPoll</a>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Experiences
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                <a class="dropdown-item" href="{% url 'post' %}">Post</a>
                <a class="dropdown-item" href="{% url 'blog' %}">View</a>
              </div>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                FaQ
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                <a class="dropdown-item" href="{% url 'FaQ:index2' %}">Ingin Bertanya?</a>
                <a class="dropdown-item" href="{% url 'FaQ:index1' %}">FaQ</a>
                <a class="dropdown-item" href="{% url 'FaQ:index3' %}">Info Lebih</a>
              </div>
            </li>
            {% if user.is_authenticated %}
            <li class="nav-item active">
              <a class="nav-link" href="{% url 'home:logoutpage' %}">Sign Out</a>
            </li>
            {% else %}
            <li class="nav-item active">
              <a class="nav-link" href="{% url 'home:loginpage' %}">Sign In</a>
            </li>
            {% endif %}
          </ul>
        </div>
      </nav>
  </header>
  {%block content%}
  {%endblock%}
    <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
    <script src="{% static 'js/faq.js' %}"></script>

  </html>

home/templates/home.html
{% extends 'base.html' %}
{% load static %}

{% block tambahStyle %}
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Register</title>
    <link href='https://fonts.googleapis.com/css?family=Caesar Dressing' rel='stylesheet'>
{% endblock tambahStyle %}

{% block content %}
    <!-- <img class="wave" src="{% static 'img/wave.svg' %}"> -->
	<div class="container">
		<!-- <div class="img">
			<!-- <img src="{% static 'img/bg.svg' %}"> -->
		</div> -->
		<div class="login-content">
			<form action="" method="POST">
                {% csrf_token %}
				<!-- <img src="{% static 'img/avatar.svg' %}"> -->
				<h2 class="title">Register</h2>
           		<div class="input-div one">
           		   <div class="i">
           		   		<i class="fas fa-user"></i>
           		   </div>
           		   <div class="div">
           		   		<h5>Username</h5>
           		   		{{ form.username }}
           		   </div>
           		</div>
           		<div class="input-div pass">
           		   <div class="i"> 
           		    	<i class="fas fa-envelope"></i>
           		   </div>
           		   <div class="div">
           		    	<h5>Email</h5>
           		    	{{ form.email }}
            	   </div>
            	</div>
            	<div class="input-div pass">
                    <div class="i"> 
                         <i class="fas fa-lock"></i>
                    </div>
                    <div class="div">
                        <h5>Password</h5>
                        {{ form.password1 }}
                    </div>
                </div>
                <div class="input-div pass">
                    <div class="i"> 
                         <i class="fas fa-lock"></i>
                    </div>
                    <div class="div">
                        <h5>Confirm Your Password</h5>
                        {{ form.password2 }}
                    </div>
                </div>
                {{ form.errors }}
                <a href="{% url 'home:loginpage' %}" id="signin">Already have an account?</a>
            	<input type="submit" class="btn" value="Sign Up">
            </form>
        </div>
    </div>
{% endblock content %}

home/templates/login.html
{% extends 'base.html' %}
{% load static %}

{% block tambahStyle %}
	<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Story 9</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!--Jquery-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

	<link href='https://fonts.googleapis.com/css?family=Caesar Dressing' rel='stylesheet'>
	<link href='https://fonts.googleapis.com/css?family=Caesar Dressing' rel='stylesheet'>
{% endblock tambahStyle %}

{% block content %}
    <h1> TK 2 PPW</h1>
	<br>
    <!-- <img class="wave" src="{% static 'img/wave.svg' %}"> -->
	<div class="container">
		<!-- <div class="img">
			<img src="{% static 'img/celeb.svg' %}">
		</div> -->
		<div class="login-content">
			<form action="" method="POST">
                {% csrf_token %}
				<!-- <img src="{% static 'img/avatar.svg' %}"> -->
				<h2 class="title">Sign In</h2>
           		<div class="input-div one">
           		   <!-- <div class="i">
           		   		<i class="fas fa-user"></i>
           		   </div> -->
           		   <div class="div">
           		   		<h5>Username</h5>
           		   		<input type="text" name="username">
           		   </div>
           		</div>
           		<div class="input-div pass">
           		   <!-- <div class="i"> 
           		    	<i class="fas fa-envelope"></i>
           		   </div> -->
           		   <div class="div">
           		    	<h5>Password</h5>
           		    	<input type="password" name="password">
            	   </div>
            	</div>
                {{ form.errors }}
                <a href="{% url 'home:register' %}" id="signup">Sign Up Now</a>
            	<input type="submit" class="btn" value="Log In" id="login">
            </form>
        </div>
    </div>



    <!-- <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script> -->
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>

{% endblock content %}